TOOLS32       =  e:\progra~1\devstudio\vc
cc32 = $(TOOLS32)\bin\cl -I$(TOOLS32)\include
rc32 = e:\progra~1\devstudio\sharedIDE\bin\rc
link32 = $(TOOLS32)\bin\link

#Uncomment this line to compile an optimized (with no debug symbols) version of the program.
NODEBUG=1
TARGETOS=WIN95
!include <ntwin32.mak>

TK_DIR  = ../tk8.0
TCL_DIR = ../tcl8.0
INCLUDE_TK = -I$(TK_DIR)/win -I$(TK_DIR)/generic
INCLUDE_TCL = -I$(TCL_DIR)/win -I$(TCL_DIR)/generic
INCLUDE_X11 = -I$(TK_DIR)/xlib

GENERICDIR	= $(TK_DIR)\generic
RCDIR		= $(TK_DIR)\win\rc

LIB_TK = c:\progra~1\tcl\lib\tk80vc.lib
LIB_TCL = c:\progra~1\tcl\lib\tcl80vc.lib
LIBRARY_TK	= $(TK_DIR)\library
LIBRARY_TCL	= $(TCL_DIR)\library

LIBS = $(LIB_TK) $(LIB_TCL) $(guilibs) wsock32.lib
CFLAGS		= $(INCLUDE_X11) $(INCLUDE_TK) $(INCLUDE_TCL) -DNDEBUG -DRELATE_INT -DWIN32 -D_Windows -DWIN32_LEAN_AND_MEAN

.c.obj:
	$(cc32) $(cdebug) $(cflags) $(cvars) $(CFLAGS) -o $@ -FR$*.sbr $<

# Tcl initialisation files to be compiled into a C string.
TCL_FILES = \
	$(LIBRARY_TCL)/init.tcl \
	$(LIBRARY_TK)/tk.tcl \
	$(LIBRARY_TK)/bgerror.tcl \
	$(LIBRARY_TK)/button.tcl \
	$(LIBRARY_TK)/clrpick.tcl \
	$(LIBRARY_TK)/comdlg.tcl \
	$(LIBRARY_TK)/dialog.tcl \
	$(LIBRARY_TK)/entry.tcl \
	$(LIBRARY_TK)/focus.tcl \
	$(LIBRARY_TK)/listbox.tcl \
	$(LIBRARY_TK)/menu.tcl \
	$(LIBRARY_TK)/palette.tcl \
	$(LIBRARY_TK)/scale.tcl \
	$(LIBRARY_TK)/tearoff.tcl \
	$(LIBRARY_TK)/text.tcl \
	$(LIBRARY_TK)/optMenu.tcl \
	$(LIBRARY_TK)/scrlbar.tcl \
	$(LIBRARY_TK)/tkfbox.tcl \
	$(LIBRARY_TK)/xmfbox.tcl \
	$(LIBRARY_TK)/msgbox.tcl \
	wbdxbm.tcl \
	wbddlg.tcl \
	wbd.tcl

INC	= wb.h db.h
SRC	= main.c comms.c db.c wbd.tcl
OBJ	= tk.res main.obj comms.obj db.obj tcllibs.obj

wbd	:	$(OBJ) $(INC)
	$(link32) $(ldebug) $(guilflags) -out:$@.exe tk.res $(OBJ) $(LIBS)

clean	: del *.obj

# tcl2c comes from Ron Frederick's (Xerox) nv distribution.
tcl2c	:	tcl2c.o
	$(CC) $(CFLAGS) tcl2c.o $(LIBS) -o tcl2c

# Tcl library files are turned into a single object file.
tcllibs.obj: $(TCL_FILES) tcl2c.exe
	tcl2c.exe 1 $(TCL_FILES) >tcllibs.c
	$(cc32) /c $(CFLAGS) tcllibs.c

tk.res:
	$(rc32) -fo $@ -r -i $(GENERICDIR) $(RCDIR)/tk.rc